Package twisted :: Package names :: Module authority :: Class FileAuthority

[frames | no frames]

## Class FileAuthority

    ResolverBase --+
                   |
                  FileAuthority

Known Subclasses:
  `BindAuthority`, `PySourceAuthority`

An Authority that is loaded from a file.

Method Summary
| `__init__(self, filename)`
| `__setstate__(self, state)`
| `_cbAllRecords(self, results)`
| `_lookup(self, name, cls, type, timeout)`
| `lookupZone(self, name, timeout)`
Inherited from ResolverBase
| ``_cbRecords`(self, (ans, auth, add), name, effort)`
| ``getHostByName`(self, name, timeout, effort)`
| ``lookupAddress`(self, name, timeout)`
| ``lookupAddress6`(self, name, timeout)`
| ``lookupAFSDatabase`(self, name, timeout)`
| ``lookupAllRecords`(self, name, timeout)`
| ``lookupAuthority`(self, name, timeout)`
| ``lookupCanonicalName`(self, name, timeout)`
| ``lookupHostInfo`(self, name, timeout)`
| ``lookupIPV6Address`(self, name, timeout)`
| ``lookupMailBox`(self, name, timeout)`
| ``lookupMailboxInfo`(self, name, timeout)`
| ``lookupMailExchange`(self, name, timeout)`
| ``lookupMailGroup`(self, name, timeout)`
| ``lookupMailRename`(self, name, timeout)`
| ``lookupNameservers`(self, name, timeout)`
| ``lookupNull`(self, name, timeout)`
| ``lookupPointer`(self, name, timeout)`
| ``lookupResponsibility`(self, name, timeout)`
| ``lookupService`(self, name, timeout)`
| ``lookupText`(self, name, timeout)`
| ``lookupWellKnownServices`(self, name, timeout)`
| ``query`(self, query, timeout)`

Class Variable Summary
`NoneType` | `records` = None
`NoneType` | `soa` = None
Inherited from ResolverBase
`NoneType` | `typeToMethod` = None

Class Variable Details

### records

  Type:
    `NoneType`
  Value:

        None

### soa

  Type:
    `NoneType`
  Value:

        None

Generated by Epydoc 2.0 on Sat May 15 20:08:42 2004 | http://epydoc.sf.net